GET
/api/integrations/edr/fleetdmGet EDR FleetDM Integration
Retrieves a specific EDR FleetDM integration by its ID.
200Successfully retrieved the integration details.
account_idstringrequired
The identifier of the account this integration belongs to.
api_urlstringrequired
FleetDM server URL
created_atstringrequired
Timestamp of when the integration was created.
created_bystringrequired
The user id that created the integration
enabledbooleanrequired
Indicates whether the integration is enabled
groupsarray<object>required
List of groups
idintegerrequired
The unique numeric identifier for the integration.
last_synced_atstringrequired
Timestamp of when the integration was last synced.
last_synced_intervalintegerrequired
The devices last sync requirement interval in hours.
match_attributesobjectrequired
Attribute conditions to match when approving FleetDM hosts. Most attributes work with FleetDM's free/open source version. Premium-only attributes are marked accordingly
sync_intervalintegerrequired
How often devices are synced from the integration, in minutes.
updated_atstringrequired
Timestamp of when the integration was last updated.
400Bad Request (e.g., invalid integration ID format).
messagestringoptional
A human-readable error message.
401Unauthorized.
messagestringoptional
A human-readable error message.
404Not Found (e.g., integration with the given ID does not exist).
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned: Bad Request (e.g., invalid integration ID format). A 401 is returned: Unauthorized. A 404 is returned: Not Found (e.g., integration with the given ID does not exist). A 500 is returned: Internal Server Error.